{% extends configuration.vars.templates.layout|default('@GaiaAdmin/layout.html.twig') %}

{% set header = configuration.vars.header|default(metadata.applicationName~'.ui.new_'~metadata.name) %}
{% set section = configuration.section|default('admin') %}
{% set event = metadata.applicationName ~ '.' ~ section ~'.' ~ metadata.name ~ '.create' %}

{% block title %}{{ header|trans }} | {{ parent() }}{% endblock %}

{% form_theme form '@SyliusUi/Form/theme.html.twig' %}

{% block content %}
    {{ sylius_template_event(['gaia_admin.create', event], _context) }}
{% endblock %}

{% block stylesheets %}
    {{ parent() }}

    {{ sylius_template_event(['gaia_admin.create.stylesheets', event ~ '.stylesheets'], {
        'metadata': metadata,
        'resource': resource
    }) }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}

    {{ sylius_template_event(['gaia_admin.create.javascripts', event ~ '.javascripts'], {
        'metadata': metadata,
        'resource': resource
    }) }}
{% endblock %}
